





.nav--mobile {
  display:block;

  @include breakpoint($medium) {
    position:absolute;
    opacity:0;
    left:-2000em;
    display:none;
  }

  flex: 0 0 100%;
  @include rem(margin, 10px 0 0);
  position:relative;
  &:after {
    content:"";
    display:block;
    position:absolute;
    bottom:0;
    left:0;
    right:0;
    height:1px;
    background:$border-color-invert;
  }

  ul {
    display:flex;
    margin:0;

    li {
      //opacity:0;
      //transition:opacity 500ms linear;
      font-size:16px;
      margin-right:1rem;
      white-space:nowrap;

      &.visible {
        //transition-delay:500ms;
        //opacity:1;
      }

      a {
        @include rem(padding, 7px 0);
        color:#fff;
        display:inline-block;
        position:relative;

        &:focus,
        &:active {
          outline:none;
        }

        &:before {
          content:"";
          display:block;
          position:absolute;
          bottom:-2px;
          left:0;
          height:2px;
          width:0;
          background:$color-limeGreen;
          z-index:2;
          transition:width 300ms ease;
        }

        .icon {
          position:relative;
          margin-left:0.4rem;
          transition:transform 300ms ease;
          width:10px;
          display:inline-block;

          svg {
            width:100%;
          }
        }
      }

      &.active {
        a {
          .icon {
            transform:rotate(-180deg);
          }

          &:before {
            width:100%;
          }
        }
      }

    }

  }

  .nav--mobile__overlay {
    &.mounted {
      position:absolute !important;
      left:-$global-padding-mobile  !important;
      right:-$global-padding-mobile;
    }

    overflow:hidden;
    background:#fff;
    color:$text-color;

    @include breakpoint($large) {
      left:-$global-padding-desktop;
      right:-$global-padding-desktop;
    }

    .nav--mobile__overlay__inner {
      padding:$global-padding-mobile;

      @include breakpoint($large) {
        padding:-$global-padding-desktop;
      }

      nav {
        ul {
          display:block;
          li {
            margin:0;
            line-height:1.5;
            white-space:normal;
            a {
              padding:0.5rem 0;
              color:$link-color;

              &:before {
                display:none;
              }
            }
          }
        }
      }
    }
  }

  &.invertColours {
    ul {
      li {
        a {
          color:$text-color;

          .icon {
            path {
              fill:$text-color;
            }
          }
        }
      }
    }
  }

}
